Last Comment Bug 650658 - TI: Assertion failure: !fe->isConstant(), at ./methodjit/FrameState-inl.h:510
: TI: Assertion failure: !fe->isConstant(), at ./methodjit/FrameState-inl.h:510
Status: RESOLVED FIXED
: assertion, testcase
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86_64 Linux
: -- critical (vote)
: ---
Assigned To: general
:
Mentors:
Depends on:
Blocks: infer-regress langfuzz
  Show dependency treegraph
 
Reported: 2011-04-17 12:59 PDT by Christian Holler (:decoder)
Modified: 2013-01-19 14:20 PST (History)
5 users (show)
choller: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Christian Holler (:decoder) 2011-04-17 12:59:36 PDT
The following testcase asserts on TI revision ac0989a03bf1 (run with options -m -a -n), tested on 32 bit:

AddRegExpCases(/a*b/, "xxx", 0, null );
AddRegExpCases(/x\d\dy/, "abcx45ysss235", 3,[] );
function AddRegExpCases(regexp, pattern, index, matches_array ) 
        (matches_array.length, regexp)
Comment 1 Brian Hackett (:bhackett) 2011-04-19 07:00:08 PDT
This is the same basic issue as bug 650662, but exposed an additional problem that when emitting code for JSOP_LENGTH we don't always include rejoin points for calls associated with JSOP_GETPROP (which LENGTH is sometimes but not always implemented in terms using).

http://hg.mozilla.org/projects/jaegermonkey/rev/0178e1b19f45
Comment 2 Christian Holler (:decoder) 2013-01-19 14:20:06 PST
Automatically extracted testcase for this bug was committed:

https://hg.mozilla.org/mozilla-central/rev/efaf8960a929

Note You need to log in before you can comment on or make changes to this bug.